*{
    margin: 0;
    padding: 0;
    transition: 0.2s ease-in-out;
    box-sizing: border-box;
}

body{
    font-family: sans-serif;
    min-width: fit-content;

    background-color: #fc923b;
}
.content{
    max-width: 888px;
    margin: auto;

    margin: 7rem auto 0 auto;
    padding: 0 33px;
}

nav{
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    height: 5rem;

    display: inline-flex;
    /* border-radius: 2rem 2rem 2rem 2rem; */

    background-color: #fc923b;
    box-shadow: 0 0px 30px black;
}

.nav-links{
    display: inline-flex;
    min-width: max-content;

    background-color: #fc923b;

    padding: 1rem;
    margin-left: auto;
    align-items: center;
}

nav img{
    margin-left: 1vw;
    padding-top: 1vh;
}

.nav-links a{
    padding: 0.7em 0.8em 0.7em 0.8em;
    margin: 0.2em;

    display: block;
    font-size: x-large;
    text-decoration: none;

    border-radius: 1em;

    color: white;
    background-color: transparent;
}
.nav-links a:hover{
    background-color: antiquewhite;
    color: #fc923b;
}
.nav-links a:active{
    box-shadow: inset 0 0 0.5em 0.3em #fc923b;

    /* color: white;
    background-color: orangered; */

    transition: 0.1s ease-out;;
}

a{
    color: #fc923b;
}
.anchor-button{
    font-size: 1.1em;
    padding: 0.8em 1.1em 0.8em 1.1em;

    background-color: #fc923b;
    color: white;

    border-radius: 2rem;
    display: inline-block;
}
.anchor-button:hover{
    transform: scale(1.3);
}
.anchor-button:active{
    transform: scale(0.7);
    transition: 0.1s ease-out;
}

.hero{
    width: 100%;
    padding: 5vw;

    /* margin-top: 5rem; */
    font-size: large;
    background: linear-gradient(rgba(0,0,0,0.66), rgba(0,0,0,0.66)), url('images/banner.jpg');
    background-size: cover;
    /* background-attachment: fixed; */

    min-height: max(37vh, 23rem);
    z-index: 0;

    position: fixed;
    top: 5rem;
    overflow: auto;
}
.hero *:not(a){
    color: white;
}

.card{
    background-color: antiquewhite;
    color: black;

    border-radius: 1em;
    padding: 2rem;
}
.card img{
    max-width: 100%;
    max-height: 100%;

    display: block;
    margin: auto;
}

main{
    width: 100%;
    background-color: #fc923b;
    position: relative;
    border-radius: 2rem 2rem 0 0;
    margin-top: calc(max(37vh, 23rem) + 3rem);

    z-index: 1;

    box-shadow: 0 -20px 20px RGBA(0, 0, 0, 0.5);
}

.nav-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 2rem;
    padding: 1rem;
    margin-left: auto;
}
.fa-solid{
    color: antiquewhite;
}

footer{
    margin: auto;
    text-align: center;
    font-size: 3rem;
}
footer a{
    text-decoration: none;
    margin: 0.5rem;
}
footer a:hover{
    transform: scale(1.3);
}
footer a:active{
    transform: scale(0.7);
    transition: 0.1s ease-out;
}

iframe{
    display: block;
    margin: auto;
    width: 98%;
	max-width: max(53em, 103vh);
    aspect-ratio: 16 / 9;
}

ul{
    list-style-position: inside
}

@media (max-width: 888px) {
    .nav-toggle {
        display: block;
    }

    .nav-links {
        display: flex;
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 5rem;
        left: 0;

        transform: scaleY(0);
        transform-origin: top;
        pointer-events: none;
        transition: transform 0.4s ease-in;

        border-radius: 0rem 0rem 2rem 2rem;
    }
    .nav-links a{
        width: 100%;
        text-align: center;
    }
    .nav-links.open {
        transform: scaleY(1);
        pointer-events: auto;
        transition: transform 0.4s cubic-bezier(0.04, 0.73, 0.38, 1);
    }

    .nav-open .hero, .nav-open main{
        filter: blur(11px);
        transition: 0.4s cubic-bezier(0.04, 0.73, 0.38, 1);
    }

    .content{
        padding: 0 3vw;
    }
}

/* @media (prefers-color-scheme: dark) {
    main{
        color: white;
    }

    .card{
        background-color: #140c00;
    }
    .card a{
        color: antiquewhite;
    }
    .past *:not(a){
        color: white;
    }
} */